#line 378 "ped.nw"
#ifndef _pEd_H
#define _pEd_H
#line 1297 "ped.nw"
#include <list>
#include "PathControl.h"
#line 389 "ped.nw"
namespace Gtk
{
   class CList;
   class Dialog;
   class Entry;
   class FileSelection;
   class HBox;
   class Menu;
   class MenuItem;
   class OptionMenu;
   class VBox;
   class Widget;
};
#line 405 "ped.nw"
class Ped
{
 public:
   Ped(const string&  initPath = "", 
       bool initUnique = false, 
       bool initExists = false);
   virtual ~Ped();
   
#line 435 "ped.nw"
Gtk::Widget*  box();
Gtk::CList*   clist() {return _clist;};
#line 607 "ped.nw"
string result() { list2ctl();  return _pathCtl.sPath();}
#line 810 "ped.nw"
void addDirName(const string& fsDirname);
#line 413 "ped.nw"
   
#line 459 "ped.nw"
virtual void  changeNotify() {}
#line 671 "ped.nw"
bool  Ped::isAfter() const;
#line 764 "ped.nw"
bool  _fsDeleted;
#line 859 "ped.nw"
bool  _edDlgDeleted;
#line 414 "ped.nw"
 private:
   
#line 560 "ped.nw"
void ctl2list();
#line 582 "ped.nw"
void list2ctl();
#line 641 "ped.nw"
Gtk::OptionMenu*  Ped::createOptionMenu();
#line 689 "ped.nw"
int  selectedRow() const;
#line 715 "ped.nw"
unsigned  targetRow() const;
#line 921 "ped.nw"
void editOK();
void editCancel();
#line 1018 "ped.nw"
void sync();
#line 416 "ped.nw"
   
#line 421 "ped.nw"
PathControl _pathCtl;
#line 426 "ped.nw"
Gtk::CList*         _clist;
Gtk::VBox*          _vbox;
Gtk::FileSelection* _fSel;
Gtk::Dialog*        _editDialog;
Gtk::Entry*         _editEntry;
#line 440 "ped.nw"
void add();
void addOK() {}
void addCancl() {}
void edit();
void cut();
void paste();
void unique();
void exists();
#line 529 "ped.nw"
Gtk::Widget*  addButton(Gtk::HBox* box, void (Ped::*f)(), const char* label);
#line 661 "ped.nw"
Gtk::Menu*      _positionMenu;
Gtk::MenuItem*  _afterItem;
#line 935 "ped.nw"
string  _clip;
#line 1028 "ped.nw"
Gtk::Widget*  _editButton;
Gtk::Widget*  _cutButton;
#line 417 "ped.nw"
};

#line 384 "ped.nw"
#endif /* _pEd_H */
