#line 124 "ped.nw"
#ifndef pAthcOntrOl_h
#define pAthcOntrOl_h
#line 1291 "ped.nw"
#include <set>
#include <string>
#include <vector>
#line 131 "ped.nw"
class PathControl
{
 public:
   PathControl(const string& initPath = "", char sep = ':')
   { init(initPath, sep); }
   virtual ~PathControl() {}
   void  init(const string& initPath = "", char sep = ':');
   void  init(const vector<string>& pth) { _path = pth; }
   const vector<string>&  path() const {return _path;}
   unsigned               size() const {return _path.size();}
   string                 sPath() const;
   void                   uniqueFilter();
   void                   existsFilter();
 private:
   void                   filterOut(const vector<bool>& mask);
   char            _sep;
   vector<string>  _path;
};
#line 128 "ped.nw"
#endif /* pAthcOntrOl_h */

